tvbrowser.core.plugin

## Class ActionProxy

- java.lang.Object
- - tvbrowser.core.plugin.ActionProxy

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.util.EventListener, javax.swing.Action

      public class ActionProxy
      extends java.lang.Object
      implements javax.swing.Action

  A ActionProxy handles Erros throwns by Plugins and enables the User to deactivate those Plugins
  Author:
    bodum

- - ### Field Summary

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionProxy(PluginProxy pluginProxy, javax.swing.Action action)` Create the Proxy

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
    `java.lang.Object` | `getValue(java.lang.String key)`
    `boolean` | `isEnabled()`
    `void` | `putValue(java.lang.String key, java.lang.Object value)`
    `void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
    `void` | `setEnabled(boolean b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionProxy

          public ActionProxy(PluginProxy pluginProxy,
                     javax.swing.Action action)

      Create the Proxy
      Parameters:
        `pluginProxy` - PluginProxy to use
        `action` - Action that gets a better Error-Handling

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue(java.lang.String key)

      Specified by:
        `getValue` in interface `javax.swing.Action`

    - #### putValue

          public void putValue(java.lang.String key,
                      java.lang.Object value)

      Specified by:
        `putValue` in interface `javax.swing.Action`

    - #### setEnabled

          public void setEnabled(boolean b)

      Specified by:
        `setEnabled` in interface `javax.swing.Action`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `javax.swing.Action`

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

      Specified by:
        `addPropertyChangeListener` in interface `javax.swing.Action`

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

      Specified by:
        `removePropertyChangeListener` in interface `javax.swing.Action`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)